public class Condition1 {
	
	public static boolean f(boolean i) {
		return !i;
	}

	public static void main(String[] args) {
		boolean a = false, b = false, c = true;
		boolean[] d;
		
		if (a) {
			System.out.println("test");
		}
		else if (a && b) {
			System.out.println("test");
		}
		
		if (a && b || c) {
			System.out.println("test");
		}
		else if (a && (b || c)) {
			System.out.println("test");
		}
		
		if (f(a && (b || c))) {
			System.out.println("test");
		}
		else if ((f(a && (b || c)) == true)) {
			System.out.println("test");
		}
		
		if (f(a) && f(b || c)) {
			System.out.println("test");
		}
		else if (f(a) && (f(b) || f(c))) {
			System.out.println("test");
		}
		
		if (d[a ? 1 : 0]) {
			System.out.println("test");
		}
		
		if (a && b && c) {
			System.out.println("test");
		}
		
		switch(3) {
		case 0:
		case 1:
			System.out.println("test");
		case 2: {
			System.out.println("test");
			break;
		}
		default:
		}
	}
}
